
package cz.moneta.test.dsl.cebia.iva;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ArrayOfWSEquipmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ArrayOfWSEquipmentType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="WSEquipmentType" type="{http://samo.cz/iva/}WSEquipmentType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ArrayOfWSEquipmentType", propOrder = {
    "wsEquipmentType"
})
public class ArrayOfWSEquipmentType {

    @XmlElement(name = "WSEquipmentType", nillable = true)
    protected List<WSEquipmentType> wsEquipmentType;

    /**
     * Gets the value of the wsEquipmentType property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the wsEquipmentType property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWSEquipmentType().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link WSEquipmentType }
     * 
     * 
     */
    public List<WSEquipmentType> getWSEquipmentType() {
        if (wsEquipmentType == null) {
            wsEquipmentType = new ArrayList<WSEquipmentType>();
        }
        return this.wsEquipmentType;
    }

    public ArrayOfWSEquipmentType withWSEquipmentType(WSEquipmentType... values) {
        if (values!= null) {
            for (WSEquipmentType value: values) {
                getWSEquipmentType().add(value);
            }
        }
        return this;
    }

    public ArrayOfWSEquipmentType withWSEquipmentType(Collection<WSEquipmentType> values) {
        if (values!= null) {
            getWSEquipmentType().addAll(values);
        }
        return this;
    }

}
